<?php
/**
 * O3Spaces Plugin - Location Browser screen
 *
 */

$titles = array(
	"insert"  => dgettext('plugin_o3spaces', "Insert from the Workplace"),
	"publish" => dgettext('plugin_o3spaces', "Publish to the Workplace")
);
 
if (!isset($_GET["type"])) die("missing type parameter");
	
if ($_GET["type"] == "publish") {
	define("ROOT_FOLDER", "mail");
	define("DIALOG_MODE", $_GET["type"]);
	define("WORKPLACE_FILES", false);
} elseif ($_GET["type"] == "insert") {
	define("ROOT_FOLDER", "/");
	define("DIALOG_MODE", "insert");
	define("WORKPLACE_FILES", true);
} else die("No valid type set");


function getDialogTitle() {
	global $titles;
	return $titles[DIALOG_MODE];
}

function getModuleName() {
    return "workspacemodule"; 
}

function getIncludes() {
    $includes = array(
        PATH_PLUGIN_DIR."/o3spaces/".getModuleName().".js",
        PATH_PLUGIN_DIR."/o3spaces/include/o3tree.js",
        PATH_PLUGIN_DIR."/o3spaces/include/dtree.css",
        PATH_PLUGIN_DIR."/o3spaces/plugin.o3spaces.css"
    );
    return $includes;
}

function getJavaScript_onload(){ 

	$recentLocation = "/";

    ?>
    module.init(moduleID);
	module.setRootFolder('<?= htmlentities(ROOT_FOLDER) ?>');
	module.setFilesView('<?= WORKPLACE_FILES ?>');
	module.setMode('<?= DIALOG_MODE ?>');
    module.loadData(true); // restore state

<?php } // getJavaScript_onload


function getBody(){ ?>
        <div id="spaces">

            <fieldset id="files">
                <legend><?= (WORKPLACE_FILES)?dgettext('plugin_o3spaces', "Files available"):dgettext('plugin_o3spaces', "Select the destination e-mail folder") ?></legend>
                    <dt><div id="spacesTree" style="height:250px; background-color:#ffffff; overflow: auto; padding:2px; margin-right:1px; border-width: 1px; border-style: inset; border-color: black; " class="dtree">
                    <script type="text/javascript">
                        <!--

                        alTree = new dTree('alTree', '<?= PATH_PLUGIN_DIR ."/o3spaces/" ?>');
						alTree.config.onToggleEvent = function(cn) {
							console.log(cn)
						}

                        // add the root node
                        var data = {
                            space_id: 0,
                            parent_id: -1,
                            display_name: dgettext('plugin_o3spaces', "My e-mail folders"),
                            title: dgettext('plugin_o3spaces', "My e-mail folders"),
                            full_path: '',
                            url: null,
                            size: '<i>'+dgettext('plugin_o3spaces', "size")+'</i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'
                        }
                        <?php if (! WORKPLACE_FILES) { ?>
                            data.size = null;
                        <?php
                        }
                        ?>
                        alTree.addRecord(data);

                        // initialize and show the "loading" node
                        data = {
                            space_id: 1,
                            parent_id: 0,
                            display_name: ' '+dgettext('plugin_o3spaces', "loading")+'...',
                            title: dgettext('plugin_o3spaces', "loading"),
                            full_path: '',
                            url: null,
                            size: '',
                            icon: "<?= PATH_PLUGIN_DIR ?>/o3spaces/img/loader.gif"
                        }
                        alTree.setLoadingNode(data);
                        alTree.showLoadingNode();

                        document.write(alTree);

                        //-->
                    </script>
    
                    </div>
                </dt>
                <dt>
                    <table style="width: 100%; margin: 0; padding: 0;"><tr>
                    <td style="width: 100%;">
					<?
						$publishText  = dgettext('plugin_o3spaces', "Publish");
						$publishTitle = dgettext('plugin_o3spaces', "Publish the selected mail messages");
						if (WORKPLACE_FILES) {
							$publishText  = dgettext('plugin_o3spaces', "Insert");
							$publishTitle = dgettext('plugin_o3spaces', "Insert the selected files");
						}
					?>
                        <input class="alButton" type="button" value="<?= $publishText ?>" title="<?= $publishTitle ?>" onclick="module.okClick();" />
                        <input class="alButton" type="button" value="<?= dgettext('plugin_o3spaces', "Cancel") ?>" title="<?=dgettext('plugin_o3spaces', "Cancel")?>" onclick="window.close()" />
                    </td>
                    <td><div id="selectedInfo"></div></td>
                    </tr></table>
                </dt>
            </fieldset>
            <br>
            <? //createCloseButton("window.close();")?>
        </div>
<?php } // getBody
?>
