<?php

require_once "O3Spaces/Config.php";
require_once "O3Spaces/RequestAuthStrategy.php";

class BasicAuthStrategy implements RequestAuthStrategy {

	/** The trust identifier as registered in O3Spaces for this server */
	var $user;

	/** The user the request will be on-behalf of */
	var $password;

	/** Constructor 
	 */
	public function __construct() {
		$config = Config::getConfig();
		$this->user = $config->get("auth.basic.user");
		$this->password = $config->get("auth.basic.pass");
	}

	/** Add trust-authentication info to an HTTP request */
	public function addAuthentication( $request ) {

		$request->setBasicAuth( $this->user, $this->password );

		return true;
	}

}

?>
