<?php

require_once "O3Spaces/Config.php";
require_once "O3Spaces/RequestAuthStrategy.php";

class TrustAuthStrategy implements RequestAuthStrategy {

	/** The trust identifier as registered in O3Spaces for this server */
	var $key;

	/** The user the request will be on-behalf of */
	var $user;

	/** Constructor 
	 */
	public function __construct() {
		$config = Config::getConfig();
		$this->key = $config->get("auth.trust.key");
		$this->user = $config->get("auth.trust.user");
	}

	/** Add trust-authentication info to an HTTP request */
	public function addAuthentication( $request ) {

		$request->addHeader("X-O3-Trust-Secret", $this->key);
		$request->addHeader("X-O3-Trust-User", $this->user);

		return true;
	}

}

?>
