<?php

require_once "HTTP/Request.php";

require_once "O3Spaces/Config.php";

class WP_HTTP_Request extends HTTP_Request {

	public function __construct($url = '', $params = array()) {

		// Add proxy information if configured
		$cfg = Config::getConfig();
		if ($cfg->get("http.proxy")) {
			if ($cfg->get("http.proxy.host"))
				$params["proxy_host"] = $cfg->get("http.proxy.host");

			if ($cfg->get("http.proxy.port"))
				$params["proxy_port"] = $cfg->get("http.proxy.port");

			if ($cfg->get("http.proxy.user"))
				$params["proxy_user"] = $cfg->get("http.proxy.user");

			if ($cfg->get("http.proxy.pass"))
				$params["proxy_pass"] = $cfg->get("http.proxy.pass");
		}

		parent::__construct($url, $params);
		$this->authHandler = Config::getConfig()->getAuthHandler();
	}

	public function setAuthHandler( $auth ) {
		$this->authHandler = $auth;
	}

	public function sendRequest($saveBody = true) {
		$this->addHeader("User-Agent", "O3Spaces-PHP-Binding 1.0");

		// Add authentication information
		if ($this->authHandler != NULL) {
			$this->authHandler->addAuthentication($this);
		}

		return parent::sendRequest($saveBody);
	}

}

?>
